#
# spec file for package rubygem-tilt
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-tilt
Version:        2.4.0
Release:        1.1
%define mod_name tilt
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://github.com/jeremyevans/tilt
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Generic interface to multiple Ruby template engines
License:        MIT

%description
Generic interface to multiple Ruby template engines.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="COPYING" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.4.0, no changelog found
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.3.0, no changelog found
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.0.11
  no changelog found
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.0.10
  * Remove test files from bundled gem (#339, greysteil)
  * Fix warning when using yield in templates on ruby 2.7 (#343, jeremyevans)
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.9
  see installed CHANGELOG.md
  [#]# 2.0.9 (2018-11-28)
  * Use new ERB API in Ruby 2.6 (#329, koic)
  * Support the new sassc gem (#336, jdickey, judofyr)
* Tue Jul 25 2017 hvogel@suse.com
- updated to version 2.0.8
  * Register .tsx for TypeScript
  * Use Haml 5's new API
  * Use correct parser options for CommonMarker
  * Suppress warnings when no locals are used
  * Haml: Accept outvar
* Mon Mar 20 2017 coolo@suse.com
- updated to version 2.0.7
  see installed CHANGELOG.md
  [#]# 2.0.7 (2017-03-19)
  * Do not modify BasicObject during template compilation on ruby 2.0+ (#309, jeremyevans)
* Fri Jan 27 2017 coolo@suse.com
- updated to version 2.0.6
  see installed CHANGELOG.md
  [#]# 2.0.6 (2017-01-26)
  * Add support for LiveScript (#286, @Announcement Jacob Francis Powers)
  * Add support for Sigil (#302, winebarrel)
  * Add support for Erubi (#308, jeremyevans)
  * Add support for options in Liquid (#298, #299, laCour)
  * Always sort locals by strings (#307, jeremyevans)
  * Fix test warnings (#305, amatsuda)
  * Fix indentation (#293, yui-knk)
  * Use SVG badges in README (#294, vasinov)
  * Fix typo and trailing space (#295, #296, karloescota)
* Fri Jun  3 2016 coolo@suse.com
- updated to version 2.0.5
  see installed CHANGELOG.md
  [#]# 2.0.5 (2016-06-02)
  * Add support for reST using Pandoc (#284, mfenner)
  * Make lazy loading thread-safe; remove warning (judofyr)
* Sat May 21 2016 coolo@suse.com
- updated to version 2.0.4
  see installed CHANGELOG.md
  [#]# 2.0.4 (2016-05-16)
  * Fix regression in BuilderTemplate (#283, judofyr)
* Fri May 13 2016 coolo@suse.com
- updated to version 2.0.3
  see installed CHANGELOG.md
  [#]# 2.0.3 (2016-05-12)
  * Add Pandoc support (#276, jmuheim)
  * Add CommonMark support (#282, raphink)
  * Add TypeScript support (#278, nghitran)
  * Work with frozen string literal (#274, jeremyevans)
  * Add MIME type for Babel (#273, SaitoWu)
* Thu Jan 21 2016 coolo@suse.com
- updated to version 2.0.2
  see installed CHANGELOG.md
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun Mar 23 2014 coolo@suse.com
- updated to version 2.0.1
  * Fix Tilt::Mapping bug in Ruby 2.1.0 (9589652c569760298f2647f7a0f9ed4f85129f20)
  * Fix `tilt --list` (#223, Achrome)
  * Fix circular require (#221, amarshall)
  * Support Pathname in Template#new (#219, kabturek)
  * Add Mapping#templates_for (judofyr)
  * Support old-style #register (judofyr)
* Sun Dec  1 2013 coolo@suse.com
- updated to version 2.0.0
  * Add Handlebars as external template engine (#204, judofyr, jimothyGator)
  * Add org-ruby as external template engine (#207, judofyr, minad)
  * Documentation typo (#208, elgalu)
  * Documentation typo (#202, chip)
  * Use YARD for documentation (#189, judofyr)
  * Add Slim as an external template engine (judofyr)
  * Add Tilt.templates_for (#121, judofyr)
  * Add Tilt.current_template (#151, judofyr)
  * Avoid loading all files in tilt.rb (#160, #187, judofyr)
  * Implement lazily required templates classes (#178, #187, judofyr)
  * Move #allows_script and default_mime_type to metadata (#187, judofyr)
  * Introduce Tilt::Mapping (#187, judofyr)
  * Make template compilation thread-safe (#191, judofyr)
* Thu May  9 2013 coolo@suse.com
- updated to version 1.4.1
  * Support Arrays in pre/postambles (#193, jbwiv)
* Sun May  5 2013 coolo@suse.com
- updated to version 1.4.0
  * Better encoding support
* Fri Apr 12 2013 coolo@suse.com
- updated to version 1.3.7
  * Erubis: Check for the correct constant (#183, mattwildig)
  * Don't fail when BasicObject is defined in 1.8 (#182, technobrat, judofyr)
* Mon Mar 18 2013 coolo@suse.com
- updated to version 1.3.6
  * Accept Hash that implements #path as options (#180, lawso017)
  * Changed extension for CsvTemplate from '.csv' to '.rcsv' (#177, alexgb)
  * Fixed extension for PlainTemplate (judofyr)
  * Improved local variables regexp (#174, razorinc)
  * Added CHANGELOG.md
* Sun Mar  3 2013 coolo@suse.com
- updated to version 1.3.4
  * Support RDoc 4.0 (#168, judofyr)
  * Add mention of Org-Mode support (#165, aslakknutsen)
  * Add AsciiDoctorTemplate (#163, #164, aslakknutsen)
  * Add PlainTextTemplate (nathanaeljones)
  * Restrict locals to valid variable names (#158, thinkerbot)
  * ERB: Improve trim mode support (#156, ssimeonov)
  * Add CSVTemplate (#153, alexgb)
  * Remove special case for 1.9.1 (#147, guilleiguaran)
  * Add allows\_script? method to Template (#143, bhollis)
  * Default to using Redcarpet2 (#139, DAddYE)
  * Allow File/Tempfile as filenames (#134, jamesotron)
  * Add EtanniTemplate (#131, manveru)
  * Support RDoc 3.10 (#112, timfel)
  * Always compile templates; remove old source evaluator (rtomayko)
  * Less: Options are now being passed to the parser (#106, cowboyd)
* Tue Jul 31 2012 jreidinger@suse.com
- gem2rpm to get new provisions
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Thu Oct  6 2011 fcastelli@suse.com
- update to 1.3.3 (bnc#727772)
  - Add Yajl Template implementation to render JSON content.
  - Add Yajl to the REAME.
  - Refactor the code to use a buffer variable.
  - Avoid creating an other variable.
  - Options is an attr, no need to pass it as argument.
  - markdown tests don't work without nokogiri
  - support for less 2.0, related to #90
  - enable radius tests on 1.9 for radius >= 0.7
  - Merge pull request #85 from weppos/yajl
  - Fix compilesite test for multiple threads (closes #93)
  - list sprockets
  - support for redcarpet 2.0
  - redcarpet 1.x compatibility mode
  - prefer redcarpet over rdiscount
  - add support for mediawiki templates
  - sass has its own gem now
  - axe old rubyforge_project from gemspec
  - add development dependencies for new template implementations
  - add a Gemfile for installing all deps when developing
* Mon Sep 12 2011 mrueckert@suse.de
- provide the single digit versioned name aswell
* Thu Jul 21 2011 mrueckert@suse.de
- update to 1.3.2
* Fri Mar  4 2011 fcastelli@novell.com
- Updated to 1.2.2
* Wed Dec  1 2010 saschpe@gmx.de
- Initial version (1.1.0).
